GCLI-ATTACHMENTS(1)

NAME
gcli attachments - Create, view or update Bugzilla attachments

SYNOPSIS
gcli attachments -i attachment actions...
gcli attachments create -f file -s summary -i bug-id [-p] [-P] [-c comment] [fl C content-type] [-F filename]

DESCRIPTION
gcli attachments is used to manage Bugzilla attachments. Attachments are referred to by unique IDs. You can assoiate attachments with one or more bugs.

OPTIONS

-i, --id
    Execute actions on the given attachment ID.

SUBCOMMANDS

create
    Create an attachment.

    The following flags can be specified:

    -s, --summary summary
        Summary of the attachment

    -f, --file path
        Upload the given file as the attachment content. You can also use “-” to read the content from stdin.

    -i, --id bug-id
        Upload the attachment for the given bug-id.

    -F, --filename filename
        When uploading the file, gcli attachments uses the the filename from -f to pass the filename to Bugzilla. -F lets you pass a different file name and override the -f provided name. This is useful when reading the content from stdin.

    -c, --comment comment
        Comment for the attachment.

    -C, --content-type content-type
        Content type of the attachment. This option is set automatically when -p is set. Otherwise this option is mandatory.

    -p, --patch
        The attachment is a patch. When this flag is set you don't need to specify a content-type via -C.

    -P, --private
        The attachment is private.

ACTIONS
actions... may be one or more of the following:

obsolete
    Mark the attachment as obsolete.

get [-o output]
    Print or download the attachment content. When -o is specified, the contents are written to the given file.

EXAMPLES
Print the content of attachment with ID 42:

    $ gcli att -i 42 get

Create an attachment for bug 22 from a git diff:

    $ git diff | gcli att create -f - -F gcli.diff -i 22 -s 'git diff' -p

Mark attachment 100 as obsolete:

    $ gcli att -i 100 obsolete

SEE ALSO
git(1), gcli(1),

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
There are a lot of features missing in this subcommand.